#****************************************************************************
#**
#**  File     :  /cdimage/lua/modules/modweapons.lua
#**  Author(s):  
#**
#**  Summary  :  
#**
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local WeaponFile = import('/lua/sim/defaultweapons.lua') ---
local CollisionBeams = import('/lua/defaultcollisionbeams.lua') ---
local BareBonesWeapon = WeaponFile.BareBonesWeapon
local DefaultProjectileWeapon = WeaponFile.DefaultProjectileWeapon
local DefaultBeamWeapon = WeaponFile.DefaultBeamWeapon
local GinsuCollisionBeam = CollisionBeams.GinsuCollisionBeam
local EffectTemplate = import('/lua/EffectTemplates.lua')
--local Beam = import('/Mods/testmod/lua/moddefaultcollisionbeams.lua')
--local Util = import('utilities.lua')

--local CollisionBeamFile = import('defaultcollisionbeams.lua')

ModProtonCannonWeapon = Class(DefaultProjectileWeapon) {
		FxMuzzleFlash = EffectTemplate.CLaserMuzzleFlash02,
}

ModParticleCannonWeapon = Class(DefaultBeamWeapon) {
  BeamType = CollisionBeams.ParticleCannonCollisionBeam,  --BeamType = CollisionBeams.ParticleCannonCollisionBeam,
   FxMuzzleFlash = {'/Mods/testmod/hook/effects/Emitters/mod_particle_cannon_muzzle_01_emit.bp'},
}

EMENapalmCannonWeapon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = EffectTemplate.TGaussCannonFlash,
    FxMuzzleFlashScale = 1,
}

ModGrenadeWeapon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = {'/effects/emitters/antiair_muzzle_fire_02_emit.bp',}, 
}